[arch-commits] Commit in librep/trunk (PKGBUILD librep.patch)

Juergen Hoetzel juergen at archlinux.org
Thu Apr 9 12:45:24 EDT 2009


    Date: Thursday, April 9, 2009 @ 12:45:24
  Author: juergen
Revision: 34474

upgpkg: librep 0.17.3-1

Modified:
  librep/trunk/PKGBUILD
Deleted:
  librep/trunk/librep.patch

--------------+
 PKGBUILD     |   16 ++++++++++------
 librep.patch |   21 ---------------------
 2 files changed, 10 insertions(+), 27 deletions(-)

Modified: PKGBUILD
===================================================================
--- PKGBUILD	2009-04-09 14:19:49 UTC (rev 34473)
+++ PKGBUILD	2009-04-09 16:45:24 UTC (rev 34474)
@@ -1,23 +1,27 @@
 # $Id$
-# Maintainer: dorphell <dorphell at archlinux.org>
+# Maintainer: Juergen Hoetzel <juergen at archlinux.org>
 
 pkgname=librep
-pkgver=0.17.2
+pkgver=0.17.3
 pkgrel=1
 pkgdesc="A Lisp system for UNIX"
 depends=('gmp' 'gdbm' 'bash' 'ncurses>=5.6-7')
-source=(http://www.nanolx.org/free/librep-0.17.2.tar.bz2 librep.patch)
-md5sums=('8b1b037bd353ed4e3b08a4797f4c2c7c' 'b75632f6918a48ae75bdf5f2646878ed')
+source=(http://dl.sourceforge.net/sourceforge/librep/librep-0.17.3.tar.bz2)
+md5sums=('62113b44044a69ff14fee517de3cb857')
 license=('GPL2')
+OPTIONS=(libtool)
 arch=('i686' 'x86_64')
 url="http://sourceforge.net/projects/librep"
 install=librep.install
 
 
 build() {
+  echo ${OPTIONS[@]}
   cd $srcdir/$pkgname-$pkgver
-  patch -p1 -i $srcdir/librep.patch || return 1
-  ./autogen.sh --prefix=/usr --libexecdir=/usr/lib/$pkgname --with-readline || return 1
+  ./configure --disable-static \
+    --prefix=/usr \
+    --libexecdir=/usr/lib/$pkgname  \
+    --with-readline || return 1
   make || return 1
 
 # create some directories or make install fails

Deleted: librep.patch
===================================================================
--- librep.patch	2009-04-09 14:19:49 UTC (rev 34473)
+++ librep.patch	2009-04-09 16:45:24 UTC (rev 34474)
@@ -1,21 +0,0 @@
---- librep-0.17.2/configure.in~ 2008-12-27 12:10:42.000000000 -0700
-+++ librep-0.17.2/configure.in  2008-12-27 12:11:26.000000000 -0700
-@@ -22,6 +22,7 @@ AC_REVISION($Revision: 1.146 $)
- 
- AC_INIT(src/rep_subrs.h)
- AC_CONFIG_HEADER(config.h src/rep_config.h)
-+AC_CONFIG_MACRO_DIR([m4])
- 
- dnl Release versioning info
- version="0.17.2"
---- librep-0.17.2/autogen.sh~   2008-08-14 09:30:42.000000000 -0600
-+++ librep-0.17.2/autogen.sh    2008-12-27 12:32:13.000000000 -0700
-@@ -9,7 +9,7 @@ if [ -f configure.in ]; then
-   fi
-   if grep "A[MC]_PROG_LIBTOOL" configure.in >/dev/null; then
-     echo "Running libtoolize"
--    libtoolize --force --copy || exit 1
-+    libtoolize --install --force --copy || exit 1
-   fi
-   echo "Running aclocal $ACLOCAL_FLAGS"
-   aclocal $ACLOCAL_FLAGS || exit 1



More information about the arch-commits mailing list